GOOD NEWS Gotcha-Free PBX Ubuntu Edition Released!

wardmundy

Nerd Uno
Joined
Oct 12, 2007
Messages
15,430
Reaction score
2,737
We're getting close with Ubuntu release. Carve out some time this coming weekend and help us out. Raspberry Pi 2 will follow shortly thereafter.



 
  • Like
Reactions: hecatae

hecatae

resident hecatae
Joined
Feb 7, 2014
Messages
661
Reaction score
163
Location
Northampton, United Kingdom
I see a 32 bit kernel in the second screenshot.

Just so I can prepare my cloud at cost vms, ubuntu 14.04 is the recommended install flavour?
 

tycho

Guru (not...)
Joined
Aug 9, 2011
Messages
602
Reaction score
235
Got a virgin 14.04 instance on DO ready to go, but it's 64-bit. Need I re-roll a 32?
 

wardmundy

Nerd Uno
Joined
Oct 12, 2007
Messages
15,430
Reaction score
2,737
tycho: Looks like we're good to go with 64-bit Ubuntu...





Still haven't found the bug in the 32-bit CentOS release. I'm sure there's a 64-bit package that's crept in somewhere, and it sends Asterisk to the ozone. :aureola:
 

tycho

Guru (not...)
Joined
Aug 9, 2011
Messages
602
Reaction score
235
That was simple. About 36 minutes from "create droplet" for me, perhaps because I had to look for a few things after the droplet was created and before I started the I-PBX install. Off to tinker...

Capture.JPG
 
  • Like
Reactions: wardmundy

Bob Helbush

Member
Joined
May 22, 2013
Messages
96
Reaction score
25
Location
Atlanta, GA
Installed it on a 32 bit server on my standalone atom box. When I tried to set the Apache password, got htpasswd not installed. Was fine after I installed the utilities. Still testing but seems good so far.
 

tycho

Guru (not...)
Joined
Aug 9, 2011
Messages
602
Reaction score
235
I, too, got the Apache password error:

[email protected]:~# htpasswd -b /etc/pbx/wwwpasswd admin <mynewpassword>

"The program 'htpasswd' is currently not installed. You can install it by typing:
apt-get install apache2-utils"

Until you do the above, you have to use "password" to authenticate for all trunk work, etc.

And, one more gremlin: Yate. Can't get Yate to register. Plugged in the Public IP of the server (can get to it no prob via browser; cut-and-pasted IP into Yate; no errors there); extension 6002; secret password. No go: "unauthorized." Restarted Asterisk several times. restarted Yate several times. Changed the password to 6002 and added that new password to Yate. No go. "Reason: unauthorized (noauth)"

I've seen this in Yate before. It's not endeared itself to me as a client. I'll try something else.
 
  • Like
Reactions: vic555

wardmundy

Nerd Uno
Joined
Oct 12, 2007
Messages
15,430
Reaction score
2,737
Fixed. Thanks.
Code:
apt-get install apache2-utils
 

Bob Helbush

Member
Joined
May 22, 2013
Messages
96
Reaction score
25
Location
Atlanta, GA
Yate is working on my LAN. I did have issues with it and DO. Took several tries to register, but did eventually work.
 

wardmundy

Nerd Uno
Joined
Oct 12, 2007
Messages
15,430
Reaction score
2,737
Yate can be quirky, but I use it all the time both locally and with D.O.
 

kerravon

New Member
Joined
Jan 13, 2015
Messages
24
Reaction score
1
Hi all, I have created a couple of VMs of PIAF on Centos 6.6 and an image of incrediblepbx on ubuntu 14.04 if anyone wants a copy just message me. The PIAF images are ony 8GB as I am going to use them for a CF based terminal. Have been working on CentOS 7 but there seems to be some problem with the
repos not working and all fixes todate want you to use yum to download this and that, but if isnt working you cant LOL:rolleyes:
cheers
kerravon
 
  • Like
Reactions: wardmundy

Members online

Latest Posts

PIAF 5 - Powered by 3CX

Forum statistics

Threads
22,580
Messages
138,980
Members
14,675
Latest member
profjake